Skip to main content
`Ctrl`+`K`

# HighLevelWCSMixin

class astropy.wcs.wcsapi.HighLevelWCSMixin

  Bases: `BaseHighLevelWCS`

  Mix-in class that automatically provides the high-level WCS API for the low-level WCS object given by the `low_level_wcs` property.

  Attributes Summary

  `low_level_wcs` | Returns a reference to the underlying low-level WCS object.

  Methods Summary

  `array_index_to_world`(*index_arrays) | Convert array indices to world coordinates (represented by Astropy objects).
  `pixel_to_world`(*pixel_arrays) | Convert pixel coordinates to world coordinates (represented by high-level objects).
  `world_to_array_index`(*world_objects) | Convert world coordinates (represented by Astropy objects) to array indices.
  `world_to_pixel`(*world_objects) | Convert world coordinates (represented by Astropy objects) to pixel coordinates.

  Attributes Documentation

  low_level_wcs

  Methods Documentation

  array_index_to_world(*index_arrays)

    Convert array indices to world coordinates (represented by Astropy objects).

    If a single high-level object is used to represent the world coordinates (i.e., if `len(wcs.world_axis_object_classes) == 1`), it is returned as-is (not in a tuple/list), otherwise a tuple of high-level objects is returned. See `array_index_to_world_values` for pixel indexing and ordering conventions.

  pixel_to_world(*pixel_arrays)

    Convert pixel coordinates to world coordinates (represented by high-level objects).

    If a single high-level object is used to represent the world coordinates (i.e., if `len(wcs.world_axis_object_classes) == 1`), it is returned as-is (not in a tuple/list), otherwise a tuple of high-level objects is returned. See `pixel_to_world_values` for pixel indexing and ordering conventions.

  world_to_array_index(*world_objects)

    Convert world coordinates (represented by Astropy objects) to array indices.

    If `pixel_n_dim` is `1`, this method returns a single scalar or array, otherwise a tuple of scalars or arrays is returned. See `world_to_array_index_values` for pixel indexing and ordering conventions. The indices should be returned as rounded integers.

  world_to_pixel(*world_objects)

    Convert world coordinates (represented by Astropy objects) to pixel coordinates.

    If `pixel_n_dim` is `1`, this method returns a single scalar or array, otherwise a tuple of scalars or arrays is returned. See `world_to_pixel_values` for pixel indexing and ordering conventions.